libperl5i-perl_2.13.0-1_i386.deb


Advertisement

Description

libperl5i-perl - pragma to fix as much of Perl 5 as possible

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libperl5i-perl
Package version: 2.13.0
Package release: 1
Package architecture: i386
Package type: deb
Installed size: 211 B
Download size: 80.88 KB
Official Mirror: ftp.br.debian.org
perl5i is a Perl pragma that swiftly enables the features of a collection of modules and techniques used to fix Perl 5's warts. It includes changing core functions, adding features and changing defaults, so it will likely not be 100% backwards compatible with standard Perl 5 syntax. However, this pragma tries to limit the damage by having a lexical effect.

Alternatives

Provides

  • libperl5i-0-perl
  • libperl5i-1-perl
  • libperl5i-2-perl

    Download

    Source package: libperl5i-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libperl5i-perl deb package:
      # sudo apt-get install libperl5i-perl

    Files

    • /usr/bin/perl5i
    • /usr/share/doc/libperl5i-perl/changelog.Debian.gz
    • /usr/share/doc/libperl5i-perl/changelog.gz
    • /usr/share/doc/libperl5i-perl/copyright
    • /usr/share/lintian/overrides/libperl5i-perl
    • /usr/share/man/man3/perl5i.3pm.gz
    • /usr/share/man/man3/perl5i::Meta.3pm.gz
    • /usr/share/man/man3/perl5i::Signature.3pm.gz
    • /usr/share/man/man3/perl5i::latest.3pm.gz
    • /usr/share/man/man3/perl5ifaq.3pm.gz
    • /usr/share/perl5/perl5i.pm
    • /usr/share/perl5/perl5ifaq.pod
    • /usr/share/perl5/perl5i/0.pm
    • /usr/share/perl5/perl5i/1.pm
    • /usr/share/perl5/perl5i/2.pm
    • /usr/share/perl5/perl5i/Meta.pod
    • /usr/share/perl5/perl5i/Signature.pod
    • /usr/share/perl5/perl5i/VERSION.pm
    • /usr/share/perl5/perl5i/cmd.pm
    • /usr/share/perl5/perl5i/latest.pm
    • /usr/share/perl5/perl5i/0/ARRAY.pm
    • /usr/share/perl5/perl5i/0/DEFAULT.pm
    • /usr/share/perl5/perl5i/0/DateTime.pm
    • /usr/share/perl5/perl5i/0/HASH.pm
    • /usr/share/perl5/perl5i/0/Meta.pm
    • /usr/share/perl5/perl5i/0/SCALAR.pm
    • /usr/share/perl5/perl5i/0/Meta/Class.pm
    • /usr/share/perl5/perl5i/0/Meta/Instance.pm
    • /usr/share/perl5/perl5i/1/ARRAY.pm
    • /usr/share/perl5/perl5i/1/CODE.pm
    • /usr/share/perl5/perl5i/1/DateTime.pm
    • /usr/share/perl5/perl5i/1/HASH.pm
    • /usr/share/perl5/perl5i/1/Meta.pm
    • /usr/share/perl5/perl5i/1/SCALAR.pm
    • /usr/share/perl5/perl5i/1/UNIVERSAL.pm
    • /usr/share/perl5/perl5i/1/autobox.pm
    • /usr/share/perl5/perl5i/1/Meta/Class.pm
    • /usr/share/perl5/perl5i/1/Meta/Instance.pm
    • /usr/share/perl5/perl5i/2/ARRAY.pm
    • /usr/share/perl5/perl5i/2/CODE.pm
    • /usr/share/perl5/perl5i/2/DateTime.pm
    • /usr/share/perl5/perl5i/2/HASH.pm
    • /usr/share/perl5/perl5i/2/Meta.pm
    • /usr/share/perl5/perl5i/2/RequireMessage.pm
    • /usr/share/perl5/perl5i/2/SCALAR.pm
    • /usr/share/perl5/perl5i/2/Signature.pm
    • /usr/share/perl5/perl5i/2/Signatures.pm
    • /usr/share/perl5/perl5i/2/UNIVERSAL.pm
    • /usr/share/perl5/perl5i/2/autobox.pm
    • /usr/share/perl5/perl5i/2/equal.pm
    • /usr/share/perl5/perl5i/2/Meta/Class.pm
    • /usr/share/perl5/perl5i/2/Meta/Instance.pm
    • /usr/share/perl5/perl5i/2/Signature/None.pm
    • /usr/share/perl5/perl5i/2/Signature/Real.pm
    • /usr/share/perl5/perl5i/2/Signature/Function/None.pm
    • /usr/share/perl5/perl5i/2/Signature/Method/None.pm

    Changelog

    2014-09-14 - Axel Beckert <abe@debian.org> libperl5i-perl (2.13.0-1) unstable; urgency=medium * Team upload [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Imported Upstream version 2.13.0 * Update copyright years for upstream files * Update copyright years for debian/* packaging files * Declare compliance with Debian Policy 3.9.5 * Add dependency for Path::Tiny. Add Build-Depends and Depends on libpath-tiny-perl. * Add Build-Depends on libtest-most-perl * Update Vcs-Browser URL to cgit web frontend [ Axel Beckert ] * Apply patch from upstream to fix regression with utf8::all 0.013. (Closes: #759969)

    2013-08-30 - gregor herrmann <gregoa@debian.org> libperl5i-perl (2.12.0-1) unstable; urgency=low [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Xavier Guimard ] * Imported Upstream version 2.10.0 * Update debian/copyright years * Bump Standards-Version to 3.9.4 * Imported Upstream version 2.11.2 * Remove patch that fixes t/utf8.t (fixed in upstream) * Refresh fix-test-for-mips patch * Add Lintian override to hide false-positive hardening warning * Add libcarp-fix-1-25-perl and libhash-storediterator-perl in dependencies * Add version >= 5.15.3 for perl (to have Carp >= 1.22) [ gregor herrmann ] * Add (build) dependency on autodie 2.12. * Build-depend on libtest-warn-perl >= 0.24. * New upstream release 2.12.0. Closes: #710968 * Update (build) dependencies. * Switch order of alternative (build) depends for autodie.

    2012-06-14 - Dominique Dumont <dod@debian.org> libperl5i-perl (2.9.1-2) unstable; urgency=low * patch fix-test-for-mips: work around mips issue (Closes: #650806) * control: added dod to uploaders, refreshed with cme

    2012-04-09 - gregor herrmann <gregoa@debian.org> libperl5i-perl (2.9.1-1) unstable; urgency=low [ Fabrizio Regalli ] * Imported Upstream version 2.9.1 (Closes: #655289) * Added myself to Uploaders and Copyright. * Updated copyright to latest .174 DEP5 revision. * Added libautobox-perl (>= 2.70) to Depends [ gregor herrmann ] * Add patch from upstream git that fixes t/utf8.t. (Closes: #655329) * debian/copyright: update to Copyright-Format 1.0. * Update years of packaging copyright. * Use debhelper 9.20120312 to get all hardening flags. * Bump Standards-Version to 3.9.3 (no changes). * debian/control: update build/runtime dependencies. Make sure we have all runtime modules also as build dependencies; add Module::Build to Build-Depends; drop all versions that are already satisfied in stable.

    2011-10-24 - gregor herrmann <gregoa@debian.org> libperl5i-perl (2.9.0-1) unstable; urgency=low * New upstream release. * Remove patches, applied upstream.

    2011-09-26 - gregor herrmann <gregoa@debian.org> libperl5i-perl (2.8.0-1) unstable; urgency=low * New upstream release. * Refresh spelling.patch (offset). * Remove 0001-Use-core-module-Digest-SHA-instead-of-Digest-SHA1.patch, applied upstream. * Update build and runtime depenencies according to new upstream requirements. * New patch pod.patch: fixes a POD glitch.

    2011-08-16 - Salvatore Bonaccorso <carnil@debian.org> libperl5i-perl (2.6.1-2) unstable; urgency=low * Team upload. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. * Add 0001-Use-core-module-Digest-SHA-instead-of-Digest-SHA1.patch patch to use Digest::SHA from perl core instead of Digest::SHA1. * debian/control: Drop libdigest-sha1-perl from (Build-)Depends.

    2011-04-24 - gregor herrmann <gregoa@debian.org> libperl5i-perl (2.6.1-1) unstable; urgency=low * New upstream release. * Set Standards-Version to 3.9.2 (no further changes).

    Advertisement
    Advertisement